%define upstream_name    Memoize
%define upstream_version 1.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Automatically cache results of functions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tgz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
`Memoizing' a function makes it faster by trading space for time. It does
this by caching the return values of the function in a table. If you call
the function again with the same arguments, 'memoize' jumps in and gives
you the value out of the table, instead of letting the function compute the
value all over again.

Here is an extreme example. Consider the Fibonacci sequence, defined by the
following function:

	# Compute Fibonacci numbers
	sub fib {
	  my $n = shift;
	  return $n if $n < 2;
	  fib($n-1) + fib($n-2);
	}

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc TODO META.yml Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.30.0-7.mga4
+ Revision: 522785
- Mageia 4 Mass Rebuild

* Wed Mar 27 2013 jquelin <jquelin> 1.30.0-6.mga3
+ Revision: 405508
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0-5.mga3
+ Revision: 369690
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1.30.0-4.mga3
+ Revision: 315525
- perl 5.16.2 rebuild

* Mon Sep 17 2012 jquelin <jquelin> 1.30.0-3.mga3
+ Revision: 294851
- perl 5.16.1 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 1.30.0-2.mga3
+ Revision: 284591
- perl 5.16.1 rebuild

* Sat Jun 09 2012 jquelin <jquelin> 1.30.0-1.mga3
+ Revision: 258919
- imported package perl-Memoize


* Sat Jun 09 2012 cpan2dist 1.03-1mga
- initial mageia release, generated with cpan2dist
